_, class = UnitClass("player")
if class == "MAGE" then

local ADDON_NAME, namespace = ...
local L = namespace.L

local MCKindling = {
[133] = true,
[108853] = true,
[11366] = true,
}

local petmodes = {
["PET_MODE_ASSIST"] = true,
["PET_MODE_DEFENSIVE"] = true,
["PET_MODE_PASSIVE"] = true,
}

MCMirrorImages = {}
local Group = {}
local MCincantersflowenabled, MCincantersflowtimer, MCincantersflowcounter, MCincantersflowstart = false, 0, 1, 1


function MageCandy_TrackersOnUpdate(elapsed)


if MCStats:IsShown() and MCtimerbypass == 0 then
MageCandy_UpdateStats()
end

if MCWaterElementalTrackerCastBar:IsShown() == true then
MCWaterElementalTrackerCastBar:SetValue(MCWaterElementalTrackerCastBar:GetValue() + elapsed)
end


end


function MageCandy_UpdatePetMode()
for idx = 1, 10 do
local name, _, texture, _, active = GetPetActionInfo(idx)
if petmodes[name] and active == true then
SetPortraitToTexture(MCWaterElementalTrackerHealthBarIcon, _G[texture])
end
end
end

function MageCandy_GetGUID(guid, tbl)

if #tbl > 0 then
for idx = 1, #tbl do
if tbl[idx].guid == guid then
return tbl[idx].guid
end
end
end
return 0
end

function MageCandy_UpdateStats() -- Called from Timers.lua in MageCandy_TimerHandler
local text, combatregen = "", nil
text = "|cff00ff00"..MageCandy_ShortNumber(GetSpellBonusDamage(3) or 0).."|r|cffffffff"
text = text.."\n"..MageCandy_ShortNumber(MageCandy_Round((UnitSpellHaste("player") or 0), 2)).."%"
text = text.."\n"..MageCandy_ShortNumber(MageCandy_Round((GetSpellCritChance(3) or 0), 2)).."%"
text = text.."\n"..MageCandy_ShortNumber(MageCandy_Round((GetMasteryEffect() or 0), 2)).."%"
_, combatregen = GetPowerRegen()
if combatregen == nil then combatregen = 0 end
text = text.."\n"..(floor(combatregen*5)/5)..L["PERSEC"].."|r"
MCStatsText:SetText(text)
end

function MageCandy_MirrorImageTrackerUpdate(event, sguid, tguid, swingamount, spellamount)

if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker == true and (#MCMirrorImages > 0 or event == "SPELL_SUMMON")  then
if event == "SPELL_SUMMON" then
MCMirrorImageTracker:Show()
for idx = 1, #MCMirrorImages do
_G["MCMirror"..idx.."Bar"]:SetMinMaxValues(0, MCMirrorImages[idx].healthmax)
_G["MCMirror"..idx.."Bar"]:SetValue(MCMirrorImages[idx].health)
end

elseif event == "UNIT_DIED" then
for idx = 1, 3 do
if MCMirrorImages[idx] then
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = 0
break
end
end
end

elseif event == "SPELL_DAMAGE" or event == "SPELL_PERIODIC_DAMAGE" or event == "RANGE_DAMAGE" or event == "ENVIRONMENTAL_DAMAGE" then
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = MCMirrorImages[idx].health - spellamount
break
end
end

elseif event == "SWING_DAMAGE" then
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = MCMirrorImages[idx].health - swingamount
break
end
end

elseif MCHealEvents[event] then
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
MCMirrorImages[idx].health = MCMirrorImages[idx].health + spellamount
break
end
end
end
-------
for idx = 1, #MCMirrorImages do
if MCMirrorImages[idx].guid == tguid then
if MCMirrorImages[idx].health > MCMirrorImages[idx].healthmax then
MCMirrorImages[idx].health = MCMirrorImages[idx].healthmax
elseif MCMirrorImages[idx].health < 0 then
MCMirrorImages[idx].health = 0
end
_G["MCMirror"..idx.."Bar"]:SetValue(MCMirrorImages[idx].health)
break
end
end
else
if MCtimerbypass == 0 then
MCMirrorImageTracker:Hide()
end
MCMirrorImages = {}
end

if MCMirror1Bar:GetValue() == 0 and MCMirror2Bar:GetValue() == 0 and MCMirror3Bar:GetValue() == 0 then
if MCtimerbypass == 0 then
MCMirrorImageTracker:Hide()
end
MCMirrorImages = {}
end

end

-- Only manual on event handler so it can be called by name
function MageCandy_WaterElementalTrackerOnEvent(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcwaterelementaltracker == true and MCSpec == "Frost" then

if event == "PET_ATTACK_START" then

elseif event == "PET_ATTACK_STOP" then
if UnitExists("pet") == true then
MageCandy_UpdatePetMode()
MCWaterElementalTrackerTarget:SetText(UnitName("pettarget") or "")
else
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
MCWaterElementalTrackerTarget:SetText(L["NOT_SUMMONED"])
end
elseif event == "UNIT_TARGET" and arg1 == "pet" then
if UnitExists("pet") == true then
MageCandy_UpdatePetMode()
MCWaterElementalTrackerTarget:SetText(UnitName("pettarget") or "")
else
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
MCWaterElementalTrackerTarget:SetText(L["NOT_SUMMONED"])
end
local current, maximum = UnitHealth("pettarget"), UnitHealthMax("pettarget")
MCWaterElementalTrackerTargetHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerTargetHealthBar:SetValue(current)
MCWaterElementalTrackerTargetHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
if UnitGUID("pettarget") == nil then
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
else
MCWaterElementalTrackerTargetHealthBar:Show()
end
elseif event == "UNIT_HEALTH" and arg1 == "pet" then
local current, maximum = UnitHealth("pet"), UnitHealthMax("pet")
MCWaterElementalTrackerHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerHealthBar:SetValue(current)
MCWaterElementalTrackerHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
if current == 0 then
MCWaterElementalTrackerHealthBarText:SetText(DEAD)
end
--elseif event == "UNIT_POWER" and arg1 == "pet" then
--local current, maximum = UnitMana("pet"), UnitManaMax("pet")
--MCWaterElementalTrackerManaBar:SetMinMaxValues(0, maximum)
--MCWaterElementalTrackerManaBar:SetValue(current)
--MCWaterElementalTrackerManaBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
elseif event == "UNIT_PET" and arg1 == "player" then
if UnitExists("pet") == true then
MageCandy_UpdatePetMode()
MCWaterElementalTrackerTarget:SetText(UnitName("pettarget") or "")
else
MCWaterElementalTrackerTargetHealthBar:SetValue(0)
MCWaterElementalTrackerTargetHealthBar:Hide()
MCWaterElementalTrackerTarget:SetText(L["NOT_SUMMONED"])
end
local current, maximum = UnitHealth("pet"), UnitHealthMax("pet")
MCWaterElementalTrackerHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerHealthBar:SetValue(current)
MCWaterElementalTrackerHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
--current, maximum = UnitMana("pet"), UnitManaMax("pet")
--MCWaterElementalTrackerManaBar:SetMinMaxValues(0, maximum)
--MCWaterElementalTrackerManaBar:SetValue(current)
--MCWaterElementalTrackerManaBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
elseif event == "COMBAT_LOG_EVENT_UNFILTERED" and (arg4 == UnitGUID("pettarget") or arg8 == UnitGUID("pettarget")) then
local current, maximum = UnitHealth("pettarget"), UnitHealthMax("pettarget")
MCWaterElementalTrackerTargetHealthBar:SetMinMaxValues(0, maximum)
MCWaterElementalTrackerTargetHealthBar:SetValue(current)
MCWaterElementalTrackerTargetHealthBarText:SetText(MageCandy_CondenseNumber(current).." / "..MageCandy_CondenseNumber(maximum))
elseif event == "PET_BAR_UPDATE" then
MageCandy_UpdatePetMode()
elseif event == "UNIT_SPELLCAST_START" and arg1 == "pet" then
local name, _, _, _, starttime, endtime = UnitCastingInfo("pet")
local duration = (endtime - starttime) / 1000
MCWaterElementalTrackerCastBar:Show()
MCWaterElementalTrackerCastBar:SetMinMaxValues(0, duration)
MCWaterElementalTrackerCastBar:SetValue(GetTime() - (starttime / 1000))
MCWaterElementalTrackerCastBarSpell:SetText(name)
elseif event == "UNIT_SPELLCAST_STOP" and arg1 == "pet" then
MCWaterElementalTrackerCastBar:SetValue(0)
MCWaterElementalTrackerCastBar:Hide()
end

end
end

function MageCandy_CreateTrackersUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}
local backdropthick = {edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 14}

--Incanter's Ward Tracker--
CreateFrame("Frame", "MCIncantersFlowTracker", UIParent)

MCIncantersFlowTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtracker == true then

if event == "PLAYER_REGEN_DISABLED" then
MCincantersflowenabled = true
MCincantersflowstart = select(4, UnitBuff("player", GetSpellInfo(116267)))
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtrackercooldown == true then
MCIncantersFlowTrackerCooldown:SetCooldown(GetTime(), 1)
end
elseif event == "PLAYER_REGEN_ENABLED" then
MCincantersflowenabled = false
MCincantersflowtimer = 0
MCincantersflowcounter = 1
elseif event == "UNIT_AURA" and arg1 == "player" and MCincantersflowenabled == true then
local stack = select(4, UnitBuff("player", GetSpellInfo(116267)))
if stack == nil then stack = 1 end
if MCincantersflowstart ~= nil then -- Conditional to find out if incanter's flow is increasing or decreasing
if stack < MCincantersflowstart then
MCincantersflowcounter = 5 - stack + 6 -- magic formula to sync the stack counter for a full 10 second cycle
MCincantersflowstart = nil
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtrackercooldown == true then
MCIncantersFlowTrackerCooldown:SetReverse(true)
MCIncantersFlowTrackerCooldown:SetCooldown(0, 0)
end
MCincantersflowtimer = 0 -- reset timer to sync with incanters flow stacking
elseif stack > MCincantersflowstart then
MCincantersflowstart = nil
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtrackercooldown == true then
MCIncantersFlowTrackerCooldown:SetReverse(false)
MCIncantersFlowTrackerCooldown:SetCooldown(0, 0)
end
MCincantersflowtimer = 0 -- reset timer to sync with incanters flow stacking
end
end
MCIncantersFlowTrackerCount:SetText(stack)
end

end
end)

MCIncantersFlowTracker:RegisterEvent("PLAYER_REGEN_DISABLED")
MCIncantersFlowTracker:RegisterEvent("PLAYER_REGEN_ENABLED")
MCIncantersFlowTracker:RegisterEvent("UNIT_AURA")

MCIncantersFlowTracker:SetWidth(28)
MCIncantersFlowTracker:SetHeight(28)
MCIncantersFlowTracker:SetPoint("CENTER", UIParent, "CENTER")
MCIncantersFlowTracker:CreateTexture("$parentIcon", "BACKGROUND")
MCIncantersFlowTrackerIcon:SetAllPoints()
MCIncantersFlowTrackerIcon:SetTexture("Interface\\Icons\\Ability_Mage_IncantersAbsorbtion")
CreateFrame("Cooldown", "$parentCooldown", MCIncantersFlowTracker, "CooldownFrameTemplate")
MCIncantersFlowTrackerCooldown:SetAllPoints()
MCIncantersFlowTrackerCooldown:SetReverse(true)
MCIncantersFlowTracker:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCIncantersFlowTrackerCount:SetTextColor(1, 1, 1)
MCIncantersFlowTrackerCount:SetTextHeight(16)
MCIncantersFlowTrackerCount:SetPoint("BOTTOMRIGHT", MCIncantersFlowTrackerIcon, "BOTTOMRIGHT")
MCIncantersFlowTrackerCount:SetText(1)

MCIncantersFlowTracker:SetScript("OnUpdate", function(self, elapsed)
if MCincantersflowenabled == true then
MCincantersflowtimer = MCincantersflowtimer + elapsed

if MCincantersflowtimer > 1 then
MCincantersflowtimer = MCincantersflowtimer - 1

MCincantersflowcounter = MCincantersflowcounter + 1

if MCincantersflowcounter == 11 then 
MCincantersflowcounter = 1 
end

if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtrackercooldown == true then
if MCincantersflowcounter == 5 then
MCIncantersFlowTrackerCooldown:SetReverse(true)
MCIncantersFlowTrackerCooldown:SetCooldown(GetTime(), 2)
elseif MCincantersflowcounter == 10 then
MCIncantersFlowTrackerCooldown:SetReverse(false)
MCIncantersFlowTrackerCooldown:SetCooldown(GetTime(), 2)
elseif MCincantersflowcounter ~= 6 and MCincantersflowcounter ~= 1 then
MCIncantersFlowTrackerCooldown:SetCooldown(GetTime(), 1)
end
end

end

end
end)


--Mirror Image Tracker--
CreateFrame("Frame", "MCMirrorImageTracker", UIParent)

MCMirrorImageTracker:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker == true then

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if arg2 == "SPELL_SUMMON" and arg4 == UnitGUID("player") and arg13 == GetSpellInfo(55342) then
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker == true then
table.insert(MCMirrorImages, {guid = arg8, healthmax = floor(UnitHealthMax("player") * 0.1), health = floor(UnitHealthMax("player") * 0.1)})
MCMirrorImageTracker:Show()
MageCandy_MirrorImageTrackerUpdate(arg2, arg4, arg8, arg12, arg15)
else
MCMirrorImageTracker:Hide()
end
end

if (MCDamageEvents[arg2] or MCHealEvents[arg2]) and MageCandy_GetGUID(arg8, MCMirrorImages) ~= 0 and MageCandy_GetGUID(arg8, MCMirrorImages) == arg8 then
MageCandy_MirrorImageTrackerUpdate(arg2, arg4, arg8, arg12, arg15)
elseif arg2 == "UNIT_DIED" and MageCandy_GetGUID(arg8, MCMirrorImages) ~= 0 and MageCandy_GetGUID(arg8, MCMirrorImages) == arg8 then
MageCandy_MirrorImageTrackerUpdate(arg2, arg4, arg8, arg12, arg15)
end

end

end
end)

MCMirrorImageTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

MCMirrorImageTracker:SetPoint("CENTER", -200, 200)
MCMirrorImageTracker:SetWidth(30)
MCMirrorImageTracker:SetHeight(30)
MCMirrorImageTracker:CreateTexture("$parentBG")
MCMirrorImageTracker:CreateTexture("$parentIcon", "BACKGROUND")
MCMirrorImageTrackerIcon:SetAllPoints()
MCMirrorImageTrackerIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
CreateFrame("StatusBar", "MCMirror1Bar", MCMirrorImageTracker)
MCMirror1Bar:SetWidth(85)
MCMirror1Bar:SetHeight(12)
MCMirror1Bar:SetPoint("TOP", MCMirrorImageTrackerIcon, "BOTTOM", 0,  -3)
MCMirror1Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror1Bar:SetStatusBarColor(0, 0.7, 1)
MCMirror1Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
MCMirror1Bar:CreateTexture("$parentBackground", "BACKGROUND")
MCMirror1BarBackground:SetWidth(MCMirror1Bar:GetWidth())
MCMirror1BarBackground:SetHeight(MCMirror1Bar:GetHeight())
MCMirror1BarBackground:SetPoint("CENTER")
MCMirror1BarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror1BarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "MCMirror1", MCMirror1Bar)
MCMirror1:SetWidth(90)
MCMirror1:SetHeight(17)
MCMirror1:SetPoint("CENTER")
MCMirror1:SetBackdrop(backdrop)
MCMirror1BarText = MCMirror1Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror1BarText:SetPoint("CENTER", MCMirror1Bar, "CENTER", 0, 0)
MCMirror1BarText:SetTextColor(1, 1, 1)
MCMirror1BarText:SetTextHeight(11)
CreateFrame("StatusBar", "MCMirror2Bar", MCMirrorImageTracker)
MCMirror2Bar:SetWidth(85)
MCMirror2Bar:SetHeight(12)
MCMirror2Bar:SetPoint("TOP", MCMirror1Bar, "BOTTOM", 0,  -3)
MCMirror2Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror2Bar:SetStatusBarColor(0, 0.7, 1)
MCMirror2Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
MCMirror2Bar:CreateTexture("$parentBackground", "BACKGROUND")
MCMirror2BarBackground:SetWidth(MCMirror2Bar:GetWidth())
MCMirror2BarBackground:SetHeight(MCMirror2Bar:GetHeight())
MCMirror2BarBackground:SetPoint("CENTER")
MCMirror2BarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror2BarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "MCMirror2", MCMirror2Bar)
MCMirror2:SetWidth(90)
MCMirror2:SetHeight(17)
MCMirror2:SetPoint("CENTER")
MCMirror2:SetBackdrop(backdrop)
MCMirror2BarText = MCMirror2Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror2BarText:SetPoint("CENTER", MCMirror2Bar, "CENTER", 0, 0)
MCMirror2BarText:SetTextColor(1, 1, 1)
MCMirror2BarText:SetTextHeight(11)
CreateFrame("StatusBar", "MCMirror3Bar", MCMirrorImageTracker)
MCMirror3Bar:SetWidth(85)
MCMirror3Bar:SetHeight(12)
MCMirror3Bar:SetPoint("TOP", MCMirror2Bar, "BOTTOM", 0, -3)
MCMirror3Bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror3Bar:SetScript("OnValueChanged", function(self)
_G[self:GetName().."Text"]:SetText(MageCandy_ShortNumber(self:GetValue()))
if self:GetValue() == 0 then
_G[self:GetName().."Text"]:SetText("Dead")
end
end)
MCMirror3Bar:CreateTexture("$parentBackground", "BACKGROUND")
MCMirror3BarBackground:SetWidth(MCMirror3Bar:GetWidth())
MCMirror3BarBackground:SetHeight(MCMirror3Bar:GetHeight())
MCMirror3BarBackground:SetPoint("CENTER")
MCMirror3BarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCMirror3BarBackground:SetVertexColor(1, 0, 0, 0.4)
CreateFrame("Frame", "MCMirror3", MCMirror3Bar)
MCMirror3:SetWidth(90)
MCMirror3:SetHeight(17)
MCMirror3:SetPoint("CENTER")
MCMirror3:SetBackdrop(backdrop)
MCMirror3BarText = MCMirror3Bar:CreateFontString("$parentBarText", "OVERLAY", "GameFontNormal")
MCMirror3BarText:SetPoint("CENTER", MCMirror3Bar, "CENTER", 0, 0)
MCMirror3BarText:SetTextColor(1, 1, 1)
MCMirror3BarText:SetTextHeight(11)
MCMirror1Bar:SetStatusBarColor(0, 1, 0)
MCMirror2Bar:SetStatusBarColor(0, 1, 0)
MCMirror3Bar:SetStatusBarColor(0, 1, 0)
MCMirrorImageTracker:Hide()


-- Create Water Elemental Tracker
CreateFrame("Frame", "MCWaterElementalTracker", UIParent)

MCWaterElementalTracker:SetScript("OnEvent", MageCandy_WaterElementalTrackerOnEvent)

MCWaterElementalTracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
MCWaterElementalTracker:RegisterEvent("UNIT_SPELLCAST_STOP")
MCWaterElementalTracker:RegisterEvent("UNIT_SPELLCAST_START")
MCWaterElementalTracker:RegisterEvent("PET_BAR_UPDATE")
MCWaterElementalTracker:RegisterEvent("UNIT_PET")
MCWaterElementalTracker:RegisterEvent("UNIT_HEALTH")
MCWaterElementalTracker:RegisterEvent("UNIT_TARGET")
MCWaterElementalTracker:RegisterEvent("PET_ATTACK_STOP")
MCWaterElementalTracker:RegisterEvent("PET_ATTACK_START")
--MCWaterElementalTracker:RegisterEvent("UNIT_POWER")

MCWaterElementalTracker:SetPoint("CENTER", -550, -50)
MCWaterElementalTracker:SetWidth(132)
MCWaterElementalTracker:SetHeight(37)
MCWaterElementalTracker:CreateTexture("$parentBG", "BACKGROUND")
MCWaterElementalTrackerBG:SetWidth(MCWaterElementalTracker:GetWidth() - 5)
MCWaterElementalTrackerBG:SetHeight(MCWaterElementalTracker:GetHeight() - 5)
MCWaterElementalTrackerBG:SetPoint("CENTER")
MCWaterElementalTrackerBG:SetColorTexture(0, 0, 0, 0.6)
MCWaterElementalTracker:SetBackdrop(backdrop)


CreateFrame("StatusBar", "$parentHealthBar", MCWaterElementalTracker)
MCWaterElementalTrackerHealthBar:SetWidth(110)
MCWaterElementalTrackerHealthBar:SetHeight(9)
MCWaterElementalTrackerHealthBar:SetPoint("TOPRIGHT", MCWaterElementalTracker, "TOPRIGHT", -4, -4)
MCWaterElementalTrackerHealthBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerHealthBar:SetStatusBarColor(0, 1, 0)
MCWaterElementalTrackerHealthBar:SetMinMaxValues(0, 6)
MCWaterElementalTrackerHealthBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerHealthBarText:SetPoint("CENTER")
MCWaterElementalTrackerHealthBarText:SetTextColor(1, 1, 1)
MCWaterElementalTrackerHealthBarText:SetTextHeight(11)
MCWaterElementalTrackerHealthBar:CreateTexture("$parentBackground", "BACKGROUND")
MCWaterElementalTrackerHealthBarBackground:SetWidth(MCWaterElementalTrackerHealthBar:GetWidth())
MCWaterElementalTrackerHealthBarBackground:SetHeight(MCWaterElementalTrackerHealthBar:GetHeight())
MCWaterElementalTrackerHealthBarBackground:SetPoint("CENTER")
MCWaterElementalTrackerHealthBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerHealthBarBackground:SetVertexColor(1, 0, 0, 0.4)

MCWaterElementalTrackerHealthBar:CreateTexture("$parentIconBorder", "OVERLAY")
MCWaterElementalTrackerHealthBarIconBorder:SetTexture("Interface\\TALENTFRAME\\TalentFrame-Parts")
MCWaterElementalTrackerHealthBarIconBorder:SetTexCoord(0.74, 1, 0, 0.13)
MCWaterElementalTrackerHealthBarIconBorder:SetHeight(45)
MCWaterElementalTrackerHealthBarIconBorder:SetWidth(45)
MCWaterElementalTrackerHealthBarIconBorder:SetPoint("RIGHT", MCWaterElementalTracker, "LEFT", 26, 0)
MCWaterElementalTrackerHealthBar:CreateTexture("$parentIcon", "ARTWORK")
MCWaterElementalTrackerHealthBarIcon:SetHeight(39)
MCWaterElementalTrackerHealthBarIcon:SetWidth(39)
MCWaterElementalTrackerHealthBarIcon:SetPoint("CENTER", MCWaterElementalTrackerHealthBarIconBorder, "CENTER")
SetPortraitToTexture(MCWaterElementalTrackerHealthBarIcon, "Interface\\Icons\\Spell_Frost_SummonWaterElemental_2")

MCWaterElementalTracker:CreateFontString("$parentTarget", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerTarget:SetWidth(105)
MCWaterElementalTrackerTarget:SetHeight(12)
MCWaterElementalTrackerTarget:SetPoint("TOPLEFT", MCWaterElementalTrackerHealthBar, "BOTTOMLEFT", 6, 0)
MCWaterElementalTrackerTarget:SetJustifyH("LEFT")
MCWaterElementalTrackerTarget:SetTextHeight(11)
CreateFrame("StatusBar", "$parentTargetHealthBar", MCWaterElementalTracker)
MCWaterElementalTrackerTargetHealthBar:SetWidth(110)
MCWaterElementalTrackerTargetHealthBar:SetHeight(8)
MCWaterElementalTrackerTargetHealthBar:SetPoint("TOPLEFT", MCWaterElementalTrackerTarget, "BOTTOMLEFT", -6, 0)
MCWaterElementalTrackerTargetHealthBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerTargetHealthBar:SetStatusBarColor(0, 1, 0)
MCWaterElementalTrackerTargetHealthBar:SetMinMaxValues(0, 6)
MCWaterElementalTrackerTargetHealthBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerTargetHealthBarText:SetPoint("CENTER")
MCWaterElementalTrackerTargetHealthBarText:SetTextColor(1, 1, 1)
MCWaterElementalTrackerTargetHealthBarText:SetTextHeight(9)
MCWaterElementalTrackerTargetHealthBar:CreateTexture("$parentBackground", "BACKGROUND")
MCWaterElementalTrackerTargetHealthBarBackground:SetWidth(MCWaterElementalTrackerTargetHealthBar:GetWidth())
MCWaterElementalTrackerTargetHealthBarBackground:SetHeight(MCWaterElementalTrackerTargetHealthBar:GetHeight())
MCWaterElementalTrackerTargetHealthBarBackground:SetPoint("CENTER")
MCWaterElementalTrackerTargetHealthBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerTargetHealthBarBackground:SetVertexColor(1, 0, 0, 0.4)
MCWaterElementalTrackerTargetHealthBar:Hide()


CreateFrame("StatusBar", "$parentCastBar", MCWaterElementalTracker)
MCWaterElementalTrackerCastBar:SetWidth(110)
MCWaterElementalTrackerCastBar:SetHeight(11)
MCWaterElementalTrackerCastBar:SetPoint("TOPRIGHT", MCWaterElementalTracker, "BOTTOMRIGHT", -4, 0)
MCWaterElementalTrackerCastBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerCastBar:SetStatusBarColor(1, 1, 0)
MCWaterElementalTrackerCastBar:CreateFontString("$parentSpell", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerCastBarSpell:SetPoint("LEFT", 2, 0)
MCWaterElementalTrackerCastBarSpell:SetTextColor(1, 1, 1)
MCWaterElementalTrackerCastBarSpell:SetTextHeight(11)
MCWaterElementalTrackerCastBarSpell:SetJustifyH("LEFT")
MCWaterElementalTrackerCastBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerCastBarText:SetPoint("RIGHT", -2, 0)
MCWaterElementalTrackerCastBarText:SetTextColor(1, 1, 1)
MCWaterElementalTrackerCastBarText:SetTextHeight(11)
MCWaterElementalTrackerCastBarText:SetJustifyH("RIGHT")
MCWaterElementalTrackerCastBar:SetScript("OnValueChanged", function(self)
local minimum, maximum = self:GetMinMaxValues()
MCWaterElementalTrackerCastBarText:SetText(string.sub(maximum - self:GetValue(), 1, 4))
if self:GetValue() >= maximum then self:Hide() end
end)
MCWaterElementalTrackerCastBar:CreateTexture("$parentBackground", "BACKGROUND")
MCWaterElementalTrackerCastBarBackground:SetWidth(MCWaterElementalTrackerCastBar:GetWidth())
MCWaterElementalTrackerCastBarBackground:SetHeight(MCWaterElementalTrackerCastBar:GetHeight())
MCWaterElementalTrackerCastBarBackground:SetPoint("CENTER")
MCWaterElementalTrackerCastBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCWaterElementalTrackerCastBarBackground:SetVertexColor(0, 0, 0, 0.6)
CreateFrame("Frame", "$parentBG", MCWaterElementalTrackerCastBar)
MCWaterElementalTrackerCastBarBG:SetWidth(MCWaterElementalTrackerCastBar:GetWidth() + 6)
MCWaterElementalTrackerCastBarBG:SetHeight(MCWaterElementalTrackerCastBar:GetHeight() + 6)
MCWaterElementalTrackerCastBarBG:SetPoint("CENTER", MCWaterElementalTrackerCastBar, "CENTER")
MCWaterElementalTrackerCastBarBG:SetBackdrop(backdrop)

MCWaterElementalTrackerCastBar:Hide()

MCWaterElementalTracker:SetFrameLevel(7)


--CreateFrame("StatusBar", "$parentManaBar", MCWaterElementalTracker)
--MCWaterElementalTrackerManaBar:SetWidth(118)
--MCWaterElementalTrackerManaBar:SetHeight(12)
--MCWaterElementalTrackerManaBar:SetPoint("TOP", MCWaterElementalTrackerHealthBar, "BOTTOM", 0, 0)
--MCWaterElementalTrackerManaBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
--MCWaterElementalTrackerManaBar:SetStatusBarColor(0, 0, 1)
--MCWaterElementalTrackerManaBar:SetMinMaxValues(0, 6)
--MCWaterElementalTrackerManaBar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
--MCWaterElementalTrackerManaBarText:SetPoint("CENTER")
--MCWaterElementalTrackerManaBarText:SetTextColor(1, 1, 1)
--MCWaterElementalTrackerManaBarText:SetTextHeight(12)
--MCWaterElementalTrackerManaBar:CreateTexture("$parentBackground", "BACKGROUND")
--MCWaterElementalTrackerManaBarBackground:SetWidth(MCWaterElementalTrackerManaBar:GetWidth())
--MCWaterElementalTrackerManaBarBackground:SetHeight(MCWaterElementalTrackerManaBar:GetHeight())
--MCWaterElementalTrackerManaBarBackground:SetPoint("CENTER")
--MCWaterElementalTrackerManaBarBackground:SetTexture("Interface\\TargetingFrame\\UI-StatusBar")
--MCWaterElementalTrackerManaBarBackground:SetVertexColor(0, 0.3, 1, 0.4)

-- Create Stat Monitor
MCStats = CreateFrame("Frame", "MCStats", UIParent)

MCStats:SetScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
if MCtimerbypass == 0 and MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstats == true then

if event == "UNIT_AURA" and arg1 == "player" then
MageCandy_UpdateStats()
end

end
end)

MCStats:RegisterEvent("UNIT_AURA")

MCStats:SetWidth(150)
MCStats:SetHeight(86)
MCStats:SetPoint("CENTER", UIParent, "CENTER", 350, 350)
MCStats:CreateTexture("$parentBG")
MCStatsBG:SetColorTexture(0, 0, 0, 0.8)
MCStatsBG:SetPoint("CENTER", MCStats, "CENTER")
MCStatsBG:SetWidth(MCStats:GetWidth() - 5)
MCStatsBG:SetHeight(MCStats:GetHeight() - 5)
MCStatsBG:SetDrawLayer("BACKGROUND")
MCStats:SetBackdrop(backdrop)
MCStatsHeader = MCStats:CreateFontString("$parentHeader", "OVERLAY", "GameFontNormal")
MCStatsHeader:SetPoint("TOPLEFT", MCStats, "TOPLEFT", 8, -8)
MCStatsHeader:SetJustifyH("LEFT")
MCStatsHeader:SetText("|cff00b3ff"..L["STATHEADERS"].."|r")
MCStatsHeader:SetTextHeight(14)
MCStatsText = MCStats:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCStatsText:SetJustifyH("RIGHT")
MCStatsText:SetPoint("TOPRIGHT", MCStats, "TOPRIGHT", -8, -8)
MCStatsText:SetTextHeight(14)


-- Finish Setting Up Frames --
MageCandy_SetupFrame(MCMirrorImageTracker)
MageCandy_SetupFrame(MCStats)
MageCandy_SetupFrame(MCWaterElementalTracker)
MageCandy_SetupFrame(MCIncantersFlowTracker)
end



function MageCandy_CreateTrackersOptionsMenu()
-- Trackers --------------------------------------------------
MageCandy.trackers = CreateFrame("Frame", "MCTrackersOptions", MCOptionsFrame)
MageCandy.trackers:SetWidth(625)
MageCandy.trackers:SetHeight(570)
MageCandy.trackers:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.trackers.name = L["TRACKERS"]

MCTrackersScrollFrame = CreateFrame("ScrollFrame", "MCTrackersScrollFrame", MageCandy.trackers)
MCTrackersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MCTrackersScrollFrame:SetPoint("BOTTOMRIGHT", -15, 15) 

MCTrackersContent = CreateFrame("Frame", "MCTrackersContent", MCTrackersScrollFrame)
MCTrackersContent:SetPoint("CENTER")
MCTrackersContent:SetWidth(580)
MCTrackersContent:SetHeight(2000)
MCTrackersScrollFrame:SetScrollChild(MCTrackersContent)

MCTrackersScroll = CreateFrame("Slider", "MCTrackersScroll", MCTrackersScrollFrame, "UIPanelScrollBarTemplate")
MCTrackersScroll:CreateTexture("$parentBG")
MCTrackersScrollBG:SetWidth(16)
MCTrackersScrollBG:SetHeight(445)
MCTrackersScrollBG:SetPoint("CENTER", -0.5, 0)
MCTrackersScrollBG:SetColorTexture(0.2, 0.2, 0.2, 0.5)
MCTrackersScroll:SetOrientation("VERTICAL")
MCTrackersScroll:SetWidth(20)
MCTrackersScroll:SetHeight(450)
MCTrackersScroll:SetPoint("RIGHT", MageCandy.trackers, "RIGHT", -5, 0)
MCTrackersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MCTrackersScroll:SetValueStep(20)
MCTrackersScroll:SetValue(0)
MCTrackersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MCTrackersScroll:GetValue()
if delta > 0  then
MCTrackersScroll:SetValue(scroll - MCTrackersScroll:GetValueStep())
elseif delta < 0 then
MCTrackersScroll:SetValue(scroll + MCTrackersScroll:GetValueStep())
end
end)

-------------------------------------------------------------------------
x = 50
y = 0
local spacey, scaley = 60, 45
y = y - 20 
CreateFrame("CheckButton", "MCIncantersFlowTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCIncantersFlowTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCIncantersFlowTrackerShowText:SetText(GetSpellInfo(116267).." "..L["TRACKER"])
MCIncantersFlowTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtracker)
MCIncantersFlowTrackerShowIcon = MCIncantersFlowTrackerShow:CreateTexture("$parent_Icon")
MCIncantersFlowTrackerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_IncantersAbsorbtion")
MCIncantersFlowTrackerShowIcon:SetWidth(32)
MCIncantersFlowTrackerShowIcon:SetHeight(32)
MCIncantersFlowTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
y = y - 20
CreateFrame("CheckButton", "MCIncantersFlowTrackerCooldownShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCIncantersFlowTrackerCooldownShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCIncantersFlowTrackerCooldownShowText:SetText(L["COOLDOWN_TIMER"])
MCIncantersFlowTrackerCooldownShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcincantersflowtrackercooldown)
y = y - scaley
MCIncantersFlowTrackerScale = CreateFrame("Slider", "MCIncantersFlowTrackerScale", MCTrackersContent)
MCIncantersFlowTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCIncantersFlowTrackerScale:SetWidth(300)
MCIncantersFlowTrackerScale:SetHeight(20)
MCIncantersFlowTrackerScale:SetOrientation("HORIZONTAL")
MCIncantersFlowTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCIncantersFlowTrackerScale:SetMinMaxValues(0.5,2)
MCIncantersFlowTrackerScale:SetValue(0.5151)
MCIncantersFlowTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCIncantersFlowTrackerScale:SetScript("OnValueChanged", function (self, value) 
MCIncantersFlowTrackerScaleValue:SetText(string.sub(value, 1, 4)) 
MCIncantersFlowTracker:SetScale(value)
end)
MCIncantersFlowTrackerScaleHeader = MCTrackersContent:CreateFontString("MCIncantersFlowTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCIncantersFlowTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCIncantersFlowTrackerScale, "TOPLEFT")
MCIncantersFlowTrackerScaleHeader:SetText(GetSpellInfo(116267).." "..L["TRACKER"].." "..L["SCALE"])
MCIncantersFlowTrackerScaleValue = MCTrackersContent:CreateFontString("MCIncantersFlowTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCIncantersFlowTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCIncantersFlowTrackerScale, "TOPRIGHT")
MCIncantersFlowTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcincantersflowtracker, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCStatsShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCStatsShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCStatsShowText:SetText(L["STATS_SHOW"])
MCStatsShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstats)
MCStatsShowIcon = MCStatsShow:CreateTexture("$parent_Icon")
MCStatsShowIcon:SetTexture("Interface\\ICONS\\INV_Staff_13")
MCStatsShowIcon:SetWidth(32)
MCStatsShowIcon:SetHeight(32)
MCStatsShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCStatsScale = CreateFrame("Slider", "MCStatsScale", MCTrackersContent)
MCStatsScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCStatsScale:SetWidth(300)
MCStatsScale:SetHeight(20)
MCStatsScale:SetOrientation("HORIZONTAL")
MCStatsScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCStatsScale:SetMinMaxValues(0.5,2)
MCStatsScale:SetValue(0.5151)
MCStatsScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCStatsScale:SetScript("OnValueChanged", function (self, value) MCStatsScaleValue:SetText(string.sub(value, 1, 4)) MCStats:SetScale(value) end)
MCStatsScaleHeader = MCTrackersContent:CreateFontString("MCStatsScaleHeader", "OVERLAY", "GameFontNormal")
MCStatsScaleHeader:SetPoint("BOTTOMLEFT", MCStatsScale, "TOPLEFT")
MCStatsScaleHeader:SetText(L["STATS_SHOW"].." "..L["SCALE"])
MCStatsScaleValue = MCTrackersContent:CreateFontString("MCStatsScaleValue", "OVERLAY", "GameFontNormal")
MCStatsScaleValue:SetPoint("BOTTOMRIGHT", MCStatsScale, "TOPRIGHT")
MCStatsScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcstats, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCMirrorImageTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCMirrorImageTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCMirrorImageTrackerShowText:SetText(L["MIRROR_IMAGE"].." "..L["TRACKER"])
MCMirrorImageTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmirrorimagetracker)
MCMirrorImageTrackerShowIcon = MCMirrorImageTrackerShow:CreateTexture("$parent_Icon")
MCMirrorImageTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
MCMirrorImageTrackerShowIcon:SetWidth(32)
MCMirrorImageTrackerShowIcon:SetHeight(32)
MCMirrorImageTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCMirrorImageTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["MIRROR_IMAGE_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCMirrorImageTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCMirrorImageTrackerScale = CreateFrame("Slider", "MCMirrorImageTrackerScale", MCTrackersContent)
MCMirrorImageTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCMirrorImageTrackerScale:SetWidth(300)
MCMirrorImageTrackerScale:SetHeight(20)
MCMirrorImageTrackerScale:SetOrientation("HORIZONTAL")
MCMirrorImageTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCMirrorImageTrackerScale:SetMinMaxValues(0.5,2)
MCMirrorImageTrackerScale:SetValue(0.5151)
MCMirrorImageTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCMirrorImageTrackerScale:SetScript("OnValueChanged", function (self, value) MCMirrorImageTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCMirrorImageTracker:SetScale(value) end)
MCMirrorImageTrackerScaleHeader = MCTrackersContent:CreateFontString("MCMirrorImageTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCMirrorImageTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCMirrorImageTrackerScale, "TOPLEFT")
MCMirrorImageTrackerScaleHeader:SetText(L["MIRROR_IMAGE"].." "..L["TRACKER"].." "..L["SCALE"])
MCMirrorImageTrackerScaleValue = MCTrackersContent:CreateFontString("MCMirrorImageTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCMirrorImageTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCMirrorImageTrackerScale, "TOPRIGHT")
MCMirrorImageTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcmirrorimagetracker, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
CreateFrame("CheckButton", "MCWaterElementalTrackerShow", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCWaterElementalTrackerShow:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCWaterElementalTrackerShowText:SetText(L["WATER_ELEMENTAL"].." "..L["TRACKER"])
MCWaterElementalTrackerShow:SetChecked(MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcwaterelementaltracker)
MCWaterElementalTrackerShowIcon = MCWaterElementalTrackerShow:CreateTexture("$parent_Icon")
MCWaterElementalTrackerShowIcon:SetTexture("Interface\\Icons\\Spell_Frost_SummonWaterElemental_2")
MCWaterElementalTrackerShowIcon:SetWidth(32)
MCWaterElementalTrackerShowIcon:SetHeight(32)
MCWaterElementalTrackerShowIcon:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x - 41, y + 4)
MCWaterElementalTrackerShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["WATER_ELEMENTAL_TRACKER_TOOLTIP"])
GameTooltip:Show()
end)
MCWaterElementalTrackerShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - 20
MCWaterElementalSound = CreateFrame("CheckButton", "MCWaterElementalSound", MCTrackersContent, "ChatConfigCheckButtonTemplate")
MCWaterElementalSound:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCWaterElementalSoundText:SetText(L["ENABLE_WATER_ELEMENTAL_DEATH_SOUND_EFFECT"])
MCWaterElementalSound:SetScript("OnEnter", function(self)
GameTooltip:SetOwner(self)
GameTooltip:SetText(L["SOUND_EFFECT_TOOLTIP"])
GameTooltip:Show()
end)
MCWaterElementalSound:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
y = y - scaley
MCWaterElementalTrackerScale = CreateFrame("Slider", "MCWaterElementalTrackerScale", MCTrackersContent)
MCWaterElementalTrackerScale:SetPoint("TOPLEFT", MCTrackersContent, "TOPLEFT", x, y)
MCWaterElementalTrackerScale:SetWidth(300)
MCWaterElementalTrackerScale:SetHeight(20)
MCWaterElementalTrackerScale:SetOrientation("HORIZONTAL")
MCWaterElementalTrackerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCWaterElementalTrackerScale:SetMinMaxValues(0.5,2)
MCWaterElementalTrackerScale:SetValue(0.5151)
MCWaterElementalTrackerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCWaterElementalTrackerScale:SetScript("OnValueChanged", function (self, value) MCWaterElementalTrackerScaleValue:SetText(string.sub(value, 1, 4)) MCWaterElementalTracker:SetScale(value) end)
MCWaterElementalTrackerScaleHeader = MCTrackersContent:CreateFontString("MCWaterElementalTrackerScaleHeader", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerScaleHeader:SetPoint("BOTTOMLEFT", MCWaterElementalTrackerScale, "TOPLEFT")
MCWaterElementalTrackerScaleHeader:SetText(L["WATER_ELEMENTAL"].." "..L["TRACKER"].." "..L["SCALE"])
MCWaterElementalTrackerScaleValue = MCTrackersContent:CreateFontString("MCWaterElementalTrackerScaleValue", "OVERLAY", "GameFontNormal")
MCWaterElementalTrackerScaleValue:SetPoint("BOTTOMRIGHT", MCWaterElementalTrackerScale, "TOPRIGHT")
MCWaterElementalTrackerScaleValue:SetText(string.sub(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mcwaterelementaltracker, 1, 4))
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
MCTrackersScroll:SetMinMaxValues(0, (abs(y)/60)*40 + 200)
MCTrackersScroll:SetValue(0)
MageCandy.trackers:Hide()
-------------------------------------------------------------------------
end


end